Subject: bug#45824: 27.1; term/screen.el not loaded when TERM=screen.xterm-256color

From: Alex Hutcheson <[email-masked]>
Date: Tue, 19 Jan 2021 11:52:13 -0500

That behavior seems fine to me. In your example, Emacs would check
for the following, in-order:

   1. linux2.6.26.el
   2. linux2.6.el
   3. linux2.el

This seems like the right approach - try to match minor versions, but
if there is not a config for a specific minor version, then use the
config that matches the major version.

In this specific instance, it wouldn't actually find anything, because
there is no term/linux2.el file (just a term/linux.el file). This
could be resolved by also splitting between non-numeric characters and
numbers (so we would try linux.el as a step #4), but that's not
necessary to solve my specific problem.

On Tue, Jan 19, 2021 at 10:56 AM Lars Ingebrigtsen <[email-masked]> wrote:

> Alex Hutcheson <[email-masked]> writes:
>
> > I just checked on two of my machines (running different distributions)
> > and didn't see anything that looked like it would cause problems. Most
> > were of the form "screen.something", and a couple terminfo files
> > included dots within version specifiers (e.g. st-0.8 and st-0.7).
>
> Hm...  but wouldn't that possibly cause problems?  That is, if your TERM
> is
>
> linux2.6.26
>
> then if we split on dots, then Emacs will first look for
> "text/linux2.6.26.el", and then "term/linux2.6.el"...  and those are
> indeed different terminfos as found on my system:
>
> linux2.6
> linux2.6.26
>
> > The command I used to list all the relevant terminfo files was:
> > find /lib/terminfo /usr/share/terminfo -name '*.*' -type f -exec
> > basename '{}' ';' | sort -u
>
> Now, there is no term/linux2.6.el, so perhaps this is irrelevant...  And
> perhaps if there was a term/linux2.6.el, perhaps loading that would be
> OK in this case?  Anybody got an opinion here?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

-- 
Alex Hutcheson
[email-masked]